# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "ccp-msr"
version = "0.16.7"
authors = ["Fluence Labs"]
publish = true
description = "A library for reading and writing MSR register_idisters on x86_64 CPUs"
license = "Apache-2.0"
repository = "https://github.com/fluencelabs/capacity-commitment-prover"

[lib]
path = "src/lib.rs"
doctest = false

[dependencies.ccp-config]
version = "0.16.0"

[dependencies.ccp-shared]
version = "0.16.3"

[dependencies.nix]
version = "0.27.1"
features = ["uio"]

[dependencies.once_cell]
version = "1.19.0"

[dependencies.raw-cpuid]
version = "11.0.1"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.thiserror]
version = "1.0"

[dependencies.tracing]
version = "0.1.40"
